.exampleModal.modal-backdrop {
  position: absolute !important;
}

.dishesListStyle {
  // height: 150px;
  width: 230px;
}
.pl-30 {
  padding-left: 30px;
}
#guestsWrapper {
  padding-right: 15px;
  padding-left: 15px;
  padding-top: 10px;
  overflow: hidden;
  .row {
    margin-bottom: 20px;
    h4 {
      font-size: 14pt;
      font-weight: 400;
      line-height: 1.2;
      position: relative;
    }
    .newArrivalsWrapper {
      white-space: nowrap;
      //height: 170px;
      overflow-x: auto;
      overflow-y: hidden;
      &::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
        -moz-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
        box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
        border-radius: 14px;
        background-color: #f5f5f5;
      }
      &::-webkit-scrollbar {
        height: 8px;
        background-color: #f5f5f5;
      }
      &::-webkit-scrollbar-thumb {
        border-radius: 10px;
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        -moz-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        background-color: $gray-color;
      }
      .newArrivalWrapper {
        @extend %servr-button;
        padding: 30px;
        border-radius: 45px;
        width: 220px;
        margin: 10px;
        display: inline-block;
        transition: transform 0.2s;
        overflow: hidden;
        &:hover {
          transform: scale(1.01);
          cursor: pointer;
        }
        .userFullNameWrapper {
          font-size: 14pt;
          margin-bottom: 6px;
          text-align: center;
          overflow: hidden;
          display: flex;
          .userFullName {
            overflow: hidden;
            text-overflow: ellipsis;
            margin-bottom: 0;
          }
          .counter {
            width: 46px;
            margin-bottom: 0;
          }
        }
        .bookingRefText {
          font-size: 9pt;
          text-align: center;
          margin-bottom: 4px;
        }
        .bookingRef {
          margin-bottom: 0px;
          text-align: center;
        }
      }
    }
    .lateCheckoutsWrapper {
      white-space: nowrap;
      //height: 170px;
      overflow-x: auto;
      overflow-y: hidden;
      &::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
        -moz-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
        box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
        border-radius: 14px;
        background-color: #f5f5f5;
      }
      &::-webkit-scrollbar {
        height: 8px;
        background-color: #f5f5f5;
      }
      &::-webkit-scrollbar-thumb {
        border-radius: 10px;
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        -moz-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        background-color: $gray-color;
      }
      .lateCheckoutWrapper {
        @extend %servr-button;
        padding: 30px;
        border-radius: 45px;
        width: 220px;
        margin: 10px;
        display: inline-block;
        transition: transform 0.2s;
        overflow: hidden;
        &:hover {
          transform: scale(1.01);
          cursor: pointer;
        }
        .userFullNameWrapper {
          font-size: 14pt;
          margin-bottom: 6px;
          text-align: center;
          overflow: hidden;
          display: flex;
          .userFullName {
            overflow: hidden;
            text-overflow: ellipsis;
            margin-bottom: 0;
          }
          .counter {
            width: 46px;
            margin-bottom: 0;
          }
        }
        .bookingRefText {
          font-size: 9pt;
          text-align: center;
          margin-bottom: 4px;
        }
        .bookingRef {
          margin-bottom: 0px;
          text-align: center;
        }
      }
    }

    .userProfileModal {
      h4 {
        font-size: 17pt;
        margin-bottom: 20px;
      }
      .userProfileDetails {
        margin-top: 35px;
        p {
          line-height: 30pt;
        }
      }
      .passportEntriesWrapper {
        white-space: nowrap;
        overflow-x: scroll;
        overflow-y: hidden;
        .passportEntryWrapper {
          display: inline-block;
          margin: 10px;
          img {
            object-fit: contain;
            height: 200px;
            border-radius: 20px;
          }
        }
      }
    }
    .card {
      @extend %servr-shadow;
      border-radius: 50px;
      padding: 35px 50px 20px;
      #guestTable {
        .btn-action-table {
          @extend %servr-button;
          text-decoration: none;
          padding: 2px 20px;
        }
      }
      .guestProfileModal {
        h4 {
          font-size: 17pt;
          margin-bottom: 20px;
        }
        .userProfileDetails {
          margin-top: 35px;
          p {
            line-height: 30pt;
          }
        }
        .passportEntriesWrapper {
          white-space: nowrap;
          overflow-x: scroll;
          overflow-y: hidden;
          .passportEntryWrapper {
            display: inline-block;
            margin: 10px;
            img {
              object-fit: contain;
              height: 200px;
              border-radius: 20px;
            }
          }
        }
      }
    }
  }
}

// Style for modal in close tag body
.userProfileModal {
  h4 {
    font-size: 17pt;
    margin-bottom: 20px;
  }
  .userProfileDetails {
    margin-top: 35px;
    p {
      line-height: 30pt;
    }
  }
  .passportEntriesWrapper {
    white-space: nowrap;
    overflow-x: scroll;
    overflow-y: hidden;
    .passportEntryWrapper {
      display: inline-block;
      margin: 10px;
      img {
        object-fit: contain;
        height: 200px;
        border-radius: 20px;
      }
    }
  }
}
.guestProfileModal {
  h4 {
    font-size: 17pt;
    margin-bottom: 20px;
  }
  .userProfileDetails {
    margin-top: 35px;
    p {
      line-height: 30pt;
    }
  }
  .passportEntriesWrapper {
    white-space: nowrap;
    overflow-x: scroll;
    overflow-y: hidden;
    .passportEntryWrapper {
      display: inline-block;
      margin: 10px;
      img {
        object-fit: contain;
        height: 200px;
        border-radius: 20px;
      }
    }
  }
}
.icon-more {
  position: relative;
}
.bookingBillTable {
  margin-bottom: 100px;
}
.bookingBillTable tr {
  cursor: pointer;
  position: relative;
}
.icon-inner {
  position: absolute;
  left: 1px;
  box-shadow: #80808080 1px 5px 7px 2px;
  padding: 5px 12px;
  margin-bottom: 57px;
  right: 2px;
  overflow-y: scroll;
  overflow-x: hidden;
  height: 250px !important;
  background-color: white;
  z-index: 1;
}
.collapse td {
  border-top: white !important;
}
.orderItemsWrapper {
  white-space: nowrap;
  overflow-x: auto;
  overflow-y: hidden;
}
.roomTextWrapper {
  h4 {
    font-size: 13pt;
    font-weight: 400;
    text-align: center;
  }
}
.orderWrapper {
  @extend %servr-button;
  height: 140px;
  width: 180px;
  padding: 20px;
  border-radius: 45px;
  margin: 10px;
  display: inline-block;
  transition: transform 0.2s;
  overflow: hidden;
  vertical-align: top;
  position: relative;
  &:hover {
    cursor: pointer;
  }
}

// Tool tip
.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 140px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px;
  position: absolute;
  z-index: 1;
  bottom: 150%;
  left: 50%;
  margin-left: -75px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

.msgText {
  border-radius: 15px;
  background: rgb(44, 43, 43);
  width: 27%;
  margin-left: 36%;
  padding: 0px 2px 0px 2px;
  border-radius: 15px;
  background: #80808078;
}
.email-col {
  width: 39%;
}
.print-col {
  width: 39%;
}
@media screen and (max-width: 320px) {
  .bookingBillTable {
    width: 75% !important;
    .billdetailtr {
      width: 74%;
    }
  }
}
@media screen and (max-width: 375px) {
  .bookingBillTable {
    width: 90% !important;
  }
  .billdetailtr {
    width: 90%;
  }
}
